[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Yum dependencies



I've been having trouble getting yum updates for the past couple of weeks due to dependencies. There's a ton of stuff set to be updated but cannot be due to these dependencies.

Suggestions on how to resolve would be appreciated.


[root moe bin]# yum -y update
Setting up Update Process
Setting up repositories
dag                       100% |=========================| 1.1 kB    00:00
freshrpms                 100% |=========================|  951 B    00:00
extras                    100% |=========================| 1.1 kB    00:00
updates-released          100% |=========================|  951 B    00:00
livna                     100% |=========================|  951 B    00:00
http://ftp.chg.ru/pub/Linux/fedora/core/4/i386/os/repodata/repomd.xml: [Errno 4] IOError: HTTP Error 404: Date: Thu, 15 Dec 2005 04:27:18 GMT
Server: Apache/1.3.33 (Unix)
Transfer-Encoding: chunked
Content-Type: text/html; charset=iso-8859-1
Trying other mirror.
base                      100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
primary.xml.gz            100% |=========================| 919 kB    00:09
extras    : ################################################## 2633/2633
Added 18 new packages, deleted 4 old in 2.35 seconds
primary.xml.gz            100% |=========================| 375 kB    00:03
updates-re: ################################################## 1062/1062
Added 3 new packages, deleted 42 old in 1.43 seconds
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package kdenetwork-devel.i386 7:3.4.2-0.fc4.2 set to be updated
---> Package acl.i386 0:2.2.32-1.FC4.2 set to be updated
---> Package net-tools.i386 0:1.60-52.fc4.1 set to be updated

[snip]

---> Package kernel-doc.noarch 0:2.6.14-1.1653_FC4 set to be updated
---> Package openoffice.org-langpack-es.i386 1:2.0.1-143.2.1 set to be updated
--> Running transaction check
--> Processing Dependency: /lib/modules/2.6.14-1.1637_FC4 for package: cman-kernel
Importing Additional filelist information for dependency resolution
filelists.xml.gz          100% |=========================| 2.8 MB    00:27
updates-re: ################################################## 1062/1062
Added 3 new packages, deleted 42 old in 8.29 seconds
--> Processing Dependency: recode for package: enca
--> Processing Dependency: nvidia-glx = 0:1.0.7676 for package: kernel-module-nvidia-2.6.13-1.1532_FC4
--> Processing Dependency: librecode.so.0 for package: enca
--> Processing Dependency: /lib/modules/2.6.14-1.1637_FC4 for package: gnbd-kernel
Importing Additional filelist information for dependency resolution
--> Processing Dependency: /lib/modules/2.6.14-1.1637_FC4 for package: GFS-kernel
Importing Additional filelist information for dependency resolution
--> Processing Dependency: nvidia-glx = 0:1.0.7676 for package: kernel-module-nvidia-2.6.13-1.1526_FC4 --> Processing Dependency: kernel-module-nvidia = 0:1.0.8174 for package: nvidia-glx --> Processing Dependency: /lib/modules/2.6.14-1.1637_FC4 for package: dlm-kernel
Importing Additional filelist information for dependency resolution
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package kernel-module-nvidia-2.6.14-1.1644_FC4.i686 0:1.0.8174-0.lvn.1.4 set to be updated
---> Package recode.i386 0:3.6-19.fc4 set to be updated
---> Package kernel.i686 0:2.6.14-1.1637_FC4 set to be installed
--> Running transaction check
--> Processing Dependency: /boot/vmlinuz-2.6.14-1.1644_FC4 for package: kernel-module-nvidia-2.6.14-1.1644_FC4
Importing Additional filelist information for dependency resolution
--> Processing Dependency: /lib/modules/2.6.14-1.1637_FC4 for package: cman-kernel
Importing Additional filelist information for dependency resolution
--> Processing Dependency: nvidia-glx = 0:1.0.7676 for package: kernel-module-nvidia-2.6.13-1.1532_FC4 --> Processing Dependency: /lib/modules/2.6.14-1.1637_FC4 for package: gnbd-kernel
Importing Additional filelist information for dependency resolution
--> Processing Dependency: /lib/modules/2.6.14-1.1637_FC4 for package: GFS-kernel
Importing Additional filelist information for dependency resolution
--> Processing Dependency: nvidia-glx = 0:1.0.7676 for package: kernel-module-nvidia-2.6.13-1.1526_FC4 --> Processing Dependency: /lib/modules/2.6.14-1.1637_FC4 for package: dlm-kernel
Importing Additional filelist information for dependency resolution
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package kernel.i686 0:2.6.14-1.1644_FC4 set to be installed
---> Package kernel.i686 0:2.6.14-1.1637_FC4 set to be installed
--> Running transaction check
--> Processing Dependency: /boot/vmlinuz-2.6.14-1.1644_FC4 for package: kernel-module-nvidia-2.6.14-1.1644_FC4
Importing Additional filelist information for dependency resolution
--> Processing Dependency: /lib/modules/2.6.14-1.1637_FC4 for package: cman-kernel
Importing Additional filelist information for dependency resolution
--> Processing Dependency: nvidia-glx = 0:1.0.7676 for package: kernel-module-nvidia-2.6.13-1.1532_FC4 --> Processing Dependency: /lib/modules/2.6.14-1.1637_FC4 for package: gnbd-kernel
Importing Additional filelist information for dependency resolution
--> Processing Dependency: /lib/modules/2.6.14-1.1637_FC4 for package: GFS-kernel
Importing Additional filelist information for dependency resolution
--> Processing Dependency: nvidia-glx = 0:1.0.7676 for package: kernel-module-nvidia-2.6.13-1.1526_FC4 --> Processing Dependency: /lib/modules/2.6.14-1.1637_FC4 for package: dlm-kernel
Importing Additional filelist information for dependency resolution
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package kernel.i686 0:2.6.14-1.1644_FC4 set to be installed
---> Package kernel.i686 0:2.6.14-1.1637_FC4 set to be installed
--> Running transaction check
Error: Missing Dependency: nvidia-glx = 0:1.0.7676 is needed by package kernel-module-nvidia-2.6.13-1.1532_FC4 Error: Missing Dependency: nvidia-glx = 0:1.0.7676 is needed by package kernel-module-nvidia-2.6.13-1.1526_FC4
Error: Unable to satisfy dependencies
Error: Package kernel-module-nvidia-2.6.14-1.1644_FC4 needs /boot/vmlinuz-2.6.14-1.1644_FC4, this is not available. Error: Package cman-kernel needs /lib/modules/2.6.14-1.1637_FC4, this is not available. Error: Package kernel-module-nvidia-2.6.13-1.1532_FC4 needs nvidia-glx = 0:1.0.7676, this is not available. Error: Package gnbd-kernel needs /lib/modules/2.6.14-1.1637_FC4, this is not available. Error: Package GFS-kernel needs /lib/modules/2.6.14-1.1637_FC4, this is not available. Error: Package kernel-module-nvidia-2.6.13-1.1526_FC4 needs nvidia-glx = 0:1.0.7676, this is not available. Error: Package dlm-kernel needs /lib/modules/2.6.14-1.1637_FC4, this is not available.

--

 Last one out, turn off the computer!
  23:35:01 up 2 days,  6:44,  5 users,  load average: 0.07, 0.22, 0.33

 Linux Registered User #241685  http://counter.li.org


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]